import*as React from'react';import {useRouteError,isRouteErrorResponse}from'@remix-run/react';function ErrorBoundary() {
    const error = useRouteError();
    React.useEffect(() => {
        console.trace(error);
    }, [error]);
    if (isRouteErrorResponse(error)) {
        return (React.createElement("div", null,
            React.createElement("h1", null,
                error.status,
                " ",
                error.statusText),
            React.createElement("p", null, error.data)));
    }
    else if (error instanceof Error) {
        return (React.createElement("div", null,
            React.createElement("h1", null, "Error"),
            React.createElement("p", null, error.message),
            React.createElement("p", null, "The stack trace is:"),
            React.createElement("pre", null, error.stack)));
    }
    else {
        return React.createElement("h1", null, "Unknown Error");
    }
}export{ErrorBoundary};