import { IAppLoadContext } from '@common-stack/client-core';
import { Middleware, MiddlewareOptions } from '../interfaces/middleware';
/**
 * Executes the middleware stack in sequence
 * @param params - The loader context
 * @param middlewareOptions - The middleware options
 * @param middlewareStack - The middleware stack
 * @returns The middleware options
 */
export declare function loaderWithMiddleware(params: {
    context: IAppLoadContext;
}, middlewareOptions: MiddlewareOptions | undefined, middlewareStack: Middleware[]): Promise<MiddlewareOptions>;
